
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(QT_UTILITIES_HAS_SHARED_LIB ON)
if(QT_UTILITIES_HAS_SHARED_LIB)
    set(QT_UTILITIES_SHARED_LIB "qtutilities")
    set(QT_UTILITIES_SHARED_LIB_DEPENDS Qt5::Core;Qt5::Widgets)
    set(QT_UTILITIES_SHARED_LIB_COMPILE_DEFINITIONS )
    set(PC_PKG_SHARED_qtutilities "qtutilities")
    set(QT_UTILITIES_LIB "${QT_UTILITIES_SHARED_LIB}")
    if(NOT TARGET "${QT_UTILITIES_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/qtutilitiesSharedTargets.cmake")
    endif()
else()
    set(QT_UTILITIES_LIB "${QT_UTILITIES_STATIC_LIB}")
endif()

set(QT_UTILITIES_HAS_STATIC_LIB ON)
if(QT_UTILITIES_HAS_STATIC_LIB)
    set(QT_UTILITIES_STATIC_LIB "qtutilities_static")
    set(QT_UTILITIES_STATIC_LIB_DEPENDS StaticQt5::Core;StaticQt5::Widgets general;general;c++utilities_static)
    set(QT_UTILITIES_STATIC_LIB_COMPILE_DEFINITIONS QT_UTILITIES_STATIC)
    set(PC_PKG_STATIC_qtutilities_static "qtutilities_static")
    if(NOT TARGET "${QT_UTILITIES_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/qtutilitiesStaticTargets.cmake")
    endif()
endif()

set(QT_UTILITIES_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(QT_UTILITIES_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(QT_UTILITIES_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(QT_UTILITIES_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/qtutilities/cmake/modules")
set(QT_UTILITIES_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/qtutilities/cmake")
set(QT_UTILITIES_PRIVATE_QT_MODULES "Core;Widgets")
set(QT_UTILITIES_PRIVATE_KF_MODULES "")
set(QT_UTILITIES_PUBLIC_QT_MODULES "Core;Widgets")
set(QT_UTILITIES_PUBLIC_KF_MODULES "")
set(QT_UTILITIES_HAS_QT_TRANSLATION_FILES YES)

macro(use_QT_UTILITIES)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${QT_UTILITIES_MODULE_DIRS})
    # add include and link directories
    include_directories(BEFORE SYSTEM ${QT_UTILITIES_INCLUDE_DIRS})
    link_directories(${QT_UTILITIES_LIB_DIR})
    # link against library
    include(3rdParty)
    if(NOT ARGV0)
        set(QT_UTILITIES_LINKAGE AUTO_LINKAGE)
    else()
        set(QT_UTILITIES_LINKAGE "${ARG0}")
    endif()
    link_against_library(QT_UTILITIES "${QT_UTILITIES_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${QT_UTILITIES_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${QT_UTILITIES_PUBLIC_KF_MODULES})
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(QT_UTILITIES_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES qtutilities)
    endif()
endmacro()
